VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceVertexAttributeDivisorFeaturesEXT (Bool32 vertexAttributeInstanceRateDivisor_=0, Bool32 vertexAttributeInstanceRateZeroDivisor_=0)
| PhysicalDeviceVertexAttributeDivisorFeaturesEXT (VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT const &rhs)
PhysicalDeviceVertexAttributeDivisorFeaturesEXT & | operator= (VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT const &rhs)
PhysicalDeviceVertexAttributeDivisorFeaturesEXT & | setPNext (void *pNext_)
PhysicalDeviceVertexAttributeDivisorFeaturesEXT & | setVertexAttributeInstanceRateDivisor (Bool32 vertexAttributeInstanceRateDivisor_)
PhysicalDeviceVertexAttributeDivisorFeaturesEXT & | setVertexAttributeInstanceRateZeroDivisor (Bool32 vertexAttributeInstanceRateZeroDivisor_)
| operator VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT const & () const
| operator VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT & ()
bool | operator== (PhysicalDeviceVertexAttributeDivisorFeaturesEXT const &rhs) const
bool | operator!= (PhysicalDeviceVertexAttributeDivisorFeaturesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | vertexAttributeInstanceRateDivisor
Bool32 | vertexAttributeInstanceRateZeroDivisor

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceVertexAttributeDivisorFeaturesEXT

## Detailed Description

Definition at line 18998 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceVertexAttributeDivisorFeaturesEXT() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::PhysicalDeviceVertexAttributeDivisorFeaturesEXT | ( | Bool32 | vertexAttributeInstanceRateDivisor_ = `0`,
|  | Bool32 | vertexAttributeInstanceRateZeroDivisor_ = `0`
| ) |  |

inline

Definition at line 19000 of file vulkan.hpp.

: vertexAttributeInstanceRateDivisor( vertexAttributeInstanceRateDivisor_ )
, vertexAttributeInstanceRateZeroDivisor( vertexAttributeInstanceRateZeroDivisor_ )
{
}

## PhysicalDeviceVertexAttributeDivisorFeaturesEXT() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::PhysicalDeviceVertexAttributeDivisorFeaturesEXT | ( | VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT const & | rhs | ) |

inline

Definition at line 19007 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceVertexAttributeDivisorFeaturesEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::operator VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT & | ( |  | ) |

inline

Definition at line 19040 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT*>(this);
}

## operator VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::operator VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT const & | ( |  | ) | const

inline

Definition at line 19035 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::operator!= | ( | PhysicalDeviceVertexAttributeDivisorFeaturesEXT const & | rhs | ) | const

inline

Definition at line 19053 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceVertexAttributeDivisorFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::operator= | ( | VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT const & | rhs | ) |

inline

Definition at line 19012 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceVertexAttributeDivisorFeaturesEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::operator== | ( | PhysicalDeviceVertexAttributeDivisorFeaturesEXT const & | rhs | ) | const

inline

Definition at line 19045 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( vertexAttributeInstanceRateDivisor == rhs.vertexAttributeInstanceRateDivisor )
&& ( vertexAttributeInstanceRateZeroDivisor == rhs.vertexAttributeInstanceRateZeroDivisor );
}

References pNext, sType, vertexAttributeInstanceRateDivisor, and vertexAttributeInstanceRateZeroDivisor.

Referenced by operator!=().

## setPNext()

PhysicalDeviceVertexAttributeDivisorFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19017 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setVertexAttributeInstanceRateDivisor()

PhysicalDeviceVertexAttributeDivisorFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::setVertexAttributeInstanceRateDivisor | ( | Bool32 | vertexAttributeInstanceRateDivisor_ | ) |

inline

Definition at line 19023 of file vulkan.hpp.

{
vertexAttributeInstanceRateDivisor = vertexAttributeInstanceRateDivisor_;
return *this;
}

References vertexAttributeInstanceRateDivisor.

## setVertexAttributeInstanceRateZeroDivisor()

PhysicalDeviceVertexAttributeDivisorFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::setVertexAttributeInstanceRateZeroDivisor | ( | Bool32 | vertexAttributeInstanceRateZeroDivisor_ | ) |

inline

Definition at line 19029 of file vulkan.hpp.

{
vertexAttributeInstanceRateZeroDivisor = vertexAttributeInstanceRateZeroDivisor_;
return *this;
}

References vertexAttributeInstanceRateZeroDivisor.

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::pNext = nullptr

Definition at line 19062 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::sType = StructureType::ePhysicalDeviceVertexAttributeDivisorFeaturesEXT

private

Definition at line 19059 of file vulkan.hpp.

Referenced by operator==().

## vertexAttributeInstanceRateDivisor

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::vertexAttributeInstanceRateDivisor

Definition at line 19063 of file vulkan.hpp.

Referenced by operator==(), and setVertexAttributeInstanceRateDivisor().

## vertexAttributeInstanceRateZeroDivisor

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::vertexAttributeInstanceRateZeroDivisor

Definition at line 19064 of file vulkan.hpp.

Referenced by operator==(), and setVertexAttributeInstanceRateZeroDivisor().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::pNext
void * pNext
Definition: vulkan.hpp:19062
VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT
Definition: vulkan_core.h:8621
VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::operator==
bool operator==(PhysicalDeviceVertexAttributeDivisorFeaturesEXT const &rhs) const
Definition: vulkan.hpp:19045
VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::vertexAttributeInstanceRateZeroDivisor
Bool32 vertexAttributeInstanceRateZeroDivisor
Definition: vulkan.hpp:19064
VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::sType
StructureType sType
Definition: vulkan.hpp:19059
VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::vertexAttributeInstanceRateDivisor
Bool32 vertexAttributeInstanceRateDivisor
Definition: vulkan.hpp:19063
VULKAN_HPP_NAMESPACE::PhysicalDeviceVertexAttributeDivisorFeaturesEXT::PhysicalDeviceVertexAttributeDivisorFeaturesEXT
PhysicalDeviceVertexAttributeDivisorFeaturesEXT(Bool32 vertexAttributeInstanceRateDivisor_=0, Bool32 vertexAttributeInstanceRateZeroDivisor_=0)
Definition: vulkan.hpp:19000